Skip to main content
`Ctrl`+`K`

# PetscSpaceGetNumComponents

Return the number of components for this space

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscSpaceGetNumComponents(PetscSpace sp, PetscInt *Nc)

## Input Parameter

- sp - The `PetscSpace`

## Output Parameter

- Nc - The number of components

## Note

A vector space, for example, will have d components, where d is the spatial dimension

## See Also

`PetscSpace`, `PetscSpaceSetNumComponents()`, `PetscSpaceGetNumVariables()`, `PetscSpaceGetDimension()`, `PetscSpaceCreate()`

## Level

intermediate

## Location

src/dm/dt/space/interface/space.c

Index of all SPACE routines
Table of Contents for all manual pages
Index of all manual pages